Web App Error: This tool is not available because the map doesn't contain required feature layer(s)

241
0
03-31-2022 10:54 AM
Labels (1)
Libbie_Duskin
New Contributor

I am working on creating an app and using a few basic widgets at the moment. I currently have 4 analysis tools in use: Calculate Density, Extract Data, Find Hot Spots and Summarize Within. The purpose of the app is to have an end user upload some GPS data and a polygon that they can use to clip to their boundaries. My issue is that when I have more than one analysis tool selected within the widget, they become unusable upon launch of the application and I get this message when I hover over the tools, "this tool is not available because the map doesn't contain required feature layer(s)." Even when I add data to the launched map this doesn't change. When I am in edit mode I get the same issue until I add data, then click to configure the widget and, without making any edits, click "OK" and then the tools become available for use.

Any ideas on the issue? I have an ArcGIS Online account through my university so there shouldn't be any limitations with my account.

0 Kudos
0 Replies